Package org.eclipse.m2m.atl.emftvm.trace

# Interface TraceLinkSet

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `TraceLinkSetImpl`

public interface TraceLinkSet extends org.eclipse.emf.ecore.EObject
A representation of the model object 'Link Set'.

See Also:
  - `TracePackage.getTraceLinkSet()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`SourceElement`
`getDefaultSourceElement(Object sourceElement)`
Returns the default `SourceElement` for the given source object.
`org.eclipse.emf.common.util.EList<SourceElementList>`
`getDefaultSourceElementLists()`
Returns the value of the 'Default Source Element Lists' containment reference list.
`org.eclipse.emf.common.util.EList<SourceElement>`
`getDefaultSourceElements()`
Returns the value of the 'Default Source Elements' reference list.
`SourceElementList`
`getDefaultSourceElements(List<?> sourceElements)`
Returns the default `SourceElementList` for the given source objects.
`TracedRule`
`getLinksByRule(String rule, boolean create)`
`org.eclipse.emf.common.util.EList<TracedRule>`
`getRules()`
Returns the value of the 'Rules' containment reference list.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getRules

org.eclipse.emf.common.util.EList<TracedRule> getRules()
Returns the value of the 'Rules' containment reference list. The list contents are of type `TracedRule`. It is bidirectional and its opposite is '`Link Set`'.

If the meaning of the 'Rules' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Rules' containment reference list.
See Also:
  - `TracePackage.getTraceLinkSet_Rules()`
  - `TracedRule.getLinkSet()`

### getDefaultSourceElements

org.eclipse.emf.common.util.EList<SourceElement> getDefaultSourceElements()
Returns the value of the 'Default Source Elements' reference list. The list contents are of type `SourceElement`. It is bidirectional and its opposite is '`Default For`'.

If the meaning of the 'Default Source Elements' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Default Source Elements' reference list.
See Also:
  - `TracePackage.getTraceLinkSet_DefaultSourceElements()`
  - `SourceElement.getDefaultFor()`

### getDefaultSourceElementLists

org.eclipse.emf.common.util.EList<SourceElementList> getDefaultSourceElementLists()
Returns the value of the 'Default Source Element Lists' containment reference list. The list contents are of type `SourceElementList`. It is bidirectional and its opposite is '`Default For`'.

If the meaning of the 'Default Source Element Lists' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Default Source Element Lists' containment reference list.
See Also:
  - `TracePackage.getTraceLinkSet_DefaultSourceElementLists()`
  - `SourceElementList.getDefaultFor()`

### getDefaultSourceElement

SourceElement getDefaultSourceElement(Object sourceElement)
Returns the default `SourceElement` for the given source object.

Parameters:
  `sourceElement` - the source object that the `SourceElement` points to
Returns:
  the default `SourceElement` for the given source object

### getDefaultSourceElements

SourceElementList getDefaultSourceElements(List<?> sourceElements)
Returns the default `SourceElementList` for the given source objects.

Parameters:
  `sourceElements` - the source objects that the `SourceElementList` elements point to
Returns:
  the default `SourceElementList` for the given source objects

### getLinksByRule

TracedRule getLinksByRule(String rule, boolean create)

### clear

void clear()